Name:           perl-STD
Version:        20101111
Release:        2%{?dist}
Summary:        The Standard Perl 6 Grammar
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/STD/
Source0:        http://www.cpan.org/authors/id/S/SO/SOREAR/STD-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 4:5.10
BuildRequires:  perl(base)
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Build) >= 0.37
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# No tests run
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(File::ShareDir) >= 1.02
Provides:       perl(STD) = %{version}

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::ShareDir\\)$
# Remove private packages 
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(mangle.pl|STD_P5|STD_P6|RE_ast|STD::Cursor\\)$

%description
%{summary}.

%prep
%setup -q -n STD-%{version}

%build
perl Build.PL installdirs=core
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc LICENSE
%{perl_privlib}/*
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20101111-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 05 2013 Petr Pisar <ppisar@redhat.com> - 20101111-1
- 20101111 bump

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 32116-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Aug 02 2013 Petr Pisar <ppisar@redhat.com> - 32116-10
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 32116-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 32116-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 32116-7
- Perl 5.16 rebuild

* Thu May 31 2012 Petr Pisar <ppisar@redhat.com> - 32116-6
- Round Module::Build version to 2 digits

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 32116-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 25 2011 Marcela Mašláňová <mmaslano@redhat.com> - 32116-4
- add new filter

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 32116-3
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 32116-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 22 2010 Petr Pisar <ppisar@redhat.com> 32116-1
- Specfile autogenerated by cpanspec 1.78.
- Remove pre-F12 spec statements (BuildRoot etc.)
- Filter private packages mangle.pl, STD_P5, STD_P6, RE_ast, STD::Cursor out of
  Requires
- Provide versioned perl(STD)
